Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.callback
Class CallbackClient

    java.lang.Object
      org.jboss.remoting.samples.callback.CallbackClient

    public class CallbackClient

extends java.lang.Object

Sample client showing how to register for callbacks from remoting server. The callback server we will make invocations to will generate random callback messages that we can receive.

Author:
  Tom Elrod

Nested Class Summary
`class` | `CallbackClient.CallbackHandler` Our implementation of the InvokerCallbackHandler.

Constructor Summary
`CallbackClient()`

Method Summary
`void` | `createRemotingClient(java.lang.String locatorURI)` Create the remoting client to use to make calls on the remoting server.
`static void` | `main(java.lang.String[] args)` Can pass transport and port to be used as parameters.
`void` | `makeInvocation()` Makes a call on the remoting server.
`void` | `setupServer(InvokerLocator locator)` Sets up the callback server that the target remoting server can call on with the callbacks that it generates.
`void` | `testPullCallback()` Shows how to register for pull callbacks and then get any callbacks that are waiting on the server.
`void` | `testPushCallback()` Shows how to register for push callbacks where the server will callback on our callback handler when it generates a callback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallbackClient

    public CallbackClient()

Method Detail

### createRemotingClient

    public void createRemotingClient(java.lang.String locatorURI)
                              throws java.lang.Exception

  Create the remoting client to use to make calls on the remoting server.

  Parameters:
    `locatorURI` -
  Throws:
    `java.lang.Exception`

### makeInvocation

    public void makeInvocation()
                        throws java.lang.Throwable

  Makes a call on the remoting server.

  Throws:
    `java.lang.Throwable`

### testPullCallback

    public void testPullCallback()
                          throws java.lang.Throwable

  Shows how to register for pull callbacks and then get any callbacks that are waiting on the server.

  Throws:
    `java.lang.Throwable`

### testPushCallback

    public void testPushCallback()
                          throws java.lang.Throwable

  Shows how to register for push callbacks where the server will callback on our callback handler when it generates a callback.

  Throws:
    `java.lang.Throwable`

### setupServer

    public void setupServer(InvokerLocator locator)
                     throws java.lang.Exception

  Sets up the callback server that the target remoting server can call on with the callbacks that it generates.

  Parameters:
    `locator` -
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

  Can pass transport and port to be used as parameters. Valid transports are 'rmi' and 'socket'.

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.